Evenbead docs

Governance

3 operations. All areas

GET/v1/proposals

The proposal queue

  • Operation listProposals
  • Scope: read
  • Read
Parameters
  • status query, "pending" | "auto_posted" | "approved" | "rejected"
  • limit query, integer
Responses
  • 200 Proposals (object)
  • Errors 400, 401, 403, 429, 500 (Error: error.type, message)

POST/v1/proposals/{id}/approve

Approve a pending proposal and post it (human, or a supervisor agent other than the requester)

  • Operation approveProposal
  • Scope: approve
  • Write: needs Idempotency-Key (or dry_run)
Parameters
  • id path, string, required
Request body
  • soft_lock_override_reason string
Responses
  • 200 Approved and posted (for a document or payment proposal, the document or payment is created too) (object)
  • Errors 400, 401, 403, 404, 409, 422, 429, 500 (Error: error.type, message)

POST/v1/proposals/{id}/reject

Reject a pending proposal with a reason

  • Operation rejectProposal
  • Scope: approve
  • Write: needs Idempotency-Key (or dry_run)
Parameters
  • id path, string, required
Request body
  • reason string, required
Responses
  • 200 Rejected (object)
  • Errors 400, 401, 403, 404, 409, 422, 429, 500 (Error: error.type, message)